# Generated by Django 2.0 on 2017-12-30 17:03

from django.db import migrations, models
import django.db.models.deletion
import phonenumber_field.modelfields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Member',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('first_name', models.CharField(max_length=255, verbose_name='prénom')),
                ('last_name', models.CharField(max_length=255, verbose_name='nom')),
                ('email', models.EmailField(max_length=254, unique=True, verbose_name='email')),
                ('phone', phonenumber_field.modelfields.PhoneNumberField(blank=True, max_length=128, verbose_name='téléphone')),
                ('category', models.CharField(choices=[('student', 'Etudiant'), ('worker', 'Employé Ecole'), ('other', 'Autre')], default='student', max_length=30)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.CreateModel(
            name='Membership',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('valid', models.BooleanField(default=False)),
                ('member', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='api.Member')),
            ],
        ),
        migrations.CreateModel(
            name='MembershipType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, verbose_name='nom')),
                ('description', models.TextField(blank=True, verbose_name='description')),
                ('price_ht', models.DecimalField(decimal_places=2, max_digits=11, verbose_name='Prix HT')),
                ('price_ttc', models.DecimalField(decimal_places=2, max_digits=11, verbose_name='Prix TTC')),
                ('not_valid_before', models.DateField(help_text='valide à partir de cette date', verbose_name='début')),
                ('not_valid_after', models.DateField(help_text='invalide à partir de cette date', verbose_name='fin')),
            ],
        ),
        migrations.CreateModel(
            name='StudentProfile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('student_number', models.TextField(max_length=20, unique=True, verbose_name='numéro')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.CreateModel(
            name='StudyDepartment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('short_name', models.CharField(max_length=6, verbose_name='nom court')),
                ('name', models.CharField(max_length=255, verbose_name='nom')),
            ],
        ),
        migrations.CreateModel(
            name='StudySchool',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('short_name', models.CharField(max_length=6, verbose_name='nom court')),
                ('name', models.CharField(max_length=255, verbose_name='nom')),
            ],
        ),
        migrations.CreateModel(
            name='StudyYear',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=10, verbose_name='nom')),
                ('year', models.IntegerField(help_text='Cette valeur permet de comparer différente années entre elles', verbose_name='année')),
                ('order', models.IntegerField(default=1, help_text='Ordre de sélection, plus grand en premier', verbose_name='ordre')),
            ],
            options={
                'verbose_name': 'année',
            },
        ),
        migrations.AddField(
            model_name='studydepartment',
            name='school',
            field=models.ForeignKey(blank=True, on_delete=django.db.models.deletion.PROTECT, to='api.StudySchool', verbose_name='école'),
        ),
        migrations.AddField(
            model_name='studydepartment',
            name='study_years',
            field=models.ManyToManyField(to='api.StudyYear', verbose_name='années'),
        ),
        migrations.AddField(
            model_name='studentprofile',
            name='department',
            field=models.ForeignKey(blank=True, on_delete=django.db.models.deletion.PROTECT, to='api.StudyDepartment', verbose_name='département'),
        ),
        migrations.AddField(
            model_name='studentprofile',
            name='school',
            field=models.ForeignKey(blank=True, on_delete=django.db.models.deletion.PROTECT, to='api.StudySchool', verbose_name='école'),
        ),
        migrations.AddField(
            model_name='studentprofile',
            name='study_year',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='api.StudyYear', verbose_name='année'),
        ),
        migrations.AddField(
            model_name='membership',
            name='membership',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='api.MembershipType'),
        ),
        migrations.AddField(
            model_name='member',
            name='student_profile',
            field=models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='api.StudentProfile'),
        ),
    ]
